Bug 71343 - Review-Toolbar: feature request - move to next line after accepting/rejecting change
Summary: Review-Toolbar: feature request - move to next line after accepting/rejecting...
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 12:37 UTC by Alex Labram
Modified: 2014-02-20 11:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Revised version of the add-on attached. (Note: I have not attempted to update version control.) (40.97 KB, application/vnd.openofficeorg.extension)
2013-11-07 12:37 UTC, Alex Labram
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Labram 2013-11-07 12:37:51 UTC
Created attachment 88819 [details]
Revised version of the add-on attached.  (Note: I have not attempted to update version control.)

Extension: http://extensions.libreoffice.org/extension-center/review-toolbar

Feature request: When using the "accept/reject change" buttons, after accepting/rejecting the change, focus should be moved to the next tracked change.

Current behaviour: The focus stays on the current tracked change even after it is accepted/rejected.  The next change has to be manually selected with the mouse.  This can be very fiddly, for example when dealing with documents containing a lot of physically small changes (e.g. apostrophe corrections).

Suggested implementation:

1) Add the following extra functions, e.g. to \CleanDoc\Core.xba:

Sub AcceptAndMove
	Dim document   As Object
	Dim dispatcher As Object

	document   = ThisComponent.CurrentController.Frame
	dispatcher = createUnoService("com.sun.star.frame.DispatchHelper")

	dispatcher.executeDispatch(document, ".uno:AcceptTracedChange", "", 0, Array())
dispatcher.executeDispatch(document, ".uno:NextTrackedChange", "", 0, Array())
End Sub

Sub RejectAndMove
	Dim document   As Object
	Dim dispatcher As Object

	document   = ThisComponent.CurrentController.Frame
	dispatcher = createUnoService("com.sun.star.frame.DispatchHelper")

	dispatcher.executeDispatch(document, ".uno:RejectTracedChange", "", 0, Array())
	dispatcher.executeDispatch(document, ".uno:NextTrackedChange", "", 0, Array())
End Sub

2) In \Addons.xcu, replace the call to:
.uno:AcceptTracedChange

with:
vnd.sun.star.script:CleanDoc.Core.AcceptAndMove?language=Basic&location=application

...and similarly for Reject.

Note: Ideally I would be able to submit this as a patch to the maintainer.  Unfortunately, the extension page doesn't include any way to get in touch with them.
Operating System: Windows 7
Version: unspecified
Comment 1 sophie 2014-01-08 16:02:40 UTC
Hi, we do not maintain external extensions - Please contact the owner of the extension and propose the fix to him. Thanks - Closing as not our bug - Sophie
Comment 2 Alex Labram 2014-02-20 11:25:14 UTC
Hi Sophie,

Per my original bug report, there is no obvious way to get in touch with the maintainer of this extension.  The extension page doesn't list any contact details, and neither does the extension source code.

The extension is clearly actively maintained - last update Oct 2013 - but I have no way of finding out by whom.  So labelling this NOTOURBUG puts me in a bit of a catch-22.

Should I be refiling this as an infrastructure bug?  ("Lack of contact info on extension pages.")

Thanks,
Alex